function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _instanceof(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
import { customDayjs } from "../../../utils/datejs";
var initialValueStructure = {
    isoDate: '',
    originalDate: undefined,
    formattedDate: ''
};
export var getOriginalDates = function getOriginalDates(value, lang, format) {
    if (!value || !lang || !format) {
        return initialValueStructure;
    }
    customDayjs.locale(lang);
    if (_instanceof(value, Date)) {
        return {
            formattedDate: customDayjs(value).format(format),
            isoDate: new Date(value).toISOString(),
            originalDate: new Date(value)
        };
    }
    if (customDayjs(value, format).isValid()) {
        var isoDate = customDayjs(value, format).toISOString();
        var originalDate = customDayjs(value, format).toDate();
        var formattedDate = customDayjs(value, format).format(format);
        return {
            formattedDate: formattedDate,
            isoDate: isoDate,
            originalDate: originalDate
        };
    }
    return _object_spread_props(_object_spread({}, initialValueStructure), {
        formattedDate: value
    });
};
